package mx.italika.prod.italika.model.bean;

import java.io.Serializable;

public class ResponseBean<T> implements Serializable {

	private static final long serialVersionUID = 915183857131405669L;

	private String status;

	private int code;

	private String message;

	private T data;

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getStatus() {
		return status;
	}

	public ResponseBean() {
		super();
	}

	public ResponseBean(String status, int code, String message) {

		super();
		this.status = status;
		this.code = code;
		this.message = message;

	}

	public ResponseBean(String status, int code, String message, T data) {

		super();
		this.status = status;
		this.code = code;
		this.message = message;
		this.data = data;

	}

	public String isStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

}
