package mx.italika.prod.italika.model.entity;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.NamedStoredProcedureQuery;
import lombok.Data;

@Data
@Entity
@NamedStoredProcedureQuery(
		name = "ProductoEntity.obtenerProductos",
		procedureName = "sp_obtener_productos",
		resultClasses = ProductoEntity.class
)
public class ProductoEntity {

	@Id
	private Long idProducto;
	private String nombre;
	private String descripcion;
	private Double precio;
	private Integer cantidad;
	private boolean estatus;

}
